summaryrefslogtreecommitdiff
path: root/dev-python/python-ldap
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-17 03:04:43 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-17 03:04:43 -0500
commite354c0374d2aa19224b635b0ce38bd0e6a6b5fc3 (patch)
tree0c997c882ce62ff679b033d6fe8def52afb88216 /dev-python/python-ldap
parent687a263b5212436c1ced6387f36d785b0a34599f (diff)
downloadbaldeagleos-repo-e354c0374d2aa19224b635b0ce38bd0e6a6b5fc3.tar.gz
baldeagleos-repo-e354c0374d2aa19224b635b0ce38bd0e6a6b5fc3.tar.xz
baldeagleos-repo-e354c0374d2aa19224b635b0ce38bd0e6a6b5fc3.zip
Adding metadata
Diffstat (limited to 'dev-python/python-ldap')
-rw-r--r--dev-python/python-ldap/Manifest1
-rw-r--r--dev-python/python-ldap/python-ldap-3.4.8.ebuild81
2 files changed, 82 insertions, 0 deletions
diff --git a/dev-python/python-ldap/Manifest b/dev-python/python-ldap/Manifest
index 956d8d348540..926deaa2925f 100644
--- a/dev-python/python-ldap/Manifest
+++ b/dev-python/python-ldap/Manifest
@@ -1 +1,2 @@
DIST python-ldap-3.4.7.gh.tar.gz 381197 BLAKE2B 03ecb8681da5f0df821baf7bf5bd5da4ca2dad18214edb4ea475fc5b8df7535a07ba5684dc6c4ed6af5c4d39a3561dab336146a2cf157c139592726e3c2ecf50 SHA512 ecf20c6a23b32fe21cde969407287f415a091d15dd0de49d986472de23de35e2d9dd590ceb7b26353e8eb3d4f2ee4fd9c9d8c9bd6c600cd45d80ab73bcd4c8df
+DIST python-ldap-3.4.8.gh.tar.gz 383246 BLAKE2B 83b6c75e38fc91ce0c8c6a1cb16df5f16db358b441bef64c5718cf4fe393cb94439abe0826e4c36e7c7e052717304551de6483a7b496f921d21dc6d9a2eb16f8 SHA512 ba7667e450bfb9f933e4d6b1b8da956b5f80f83a5a2f4b634deeb236747bd2306abe3963960d3c44eddff092e2efaae2131e8a9b3c9e08b65c8c648fa3b9c3e1
diff --git a/dev-python/python-ldap/python-ldap-3.4.8.ebuild b/dev-python/python-ldap/python-ldap-3.4.8.ebuild
new file mode 100644
index 000000000000..3776e37fe032
--- /dev/null
+++ b/dev-python/python-ldap/python-ldap-3.4.8.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Various LDAP-related Python modules"
+HOMEPAGE="
+ https://www.python-ldap.org/en/latest/
+ https://pypi.org/project/python-ldap/
+ https://github.com/python-ldap/python-ldap/
+"
+SRC_URI="
+ https://github.com/python-ldap/python-ldap/archive/${P}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${PN}-${P}
+
+LICENSE="MIT PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples sasl ssl"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
+ net-nds/openldap:=[sasl?,ssl?]
+"
+# We do not link against cyrus-sasl but we use some
+# of its headers during the build.
+DEPEND="
+ net-nds/openldap:=[sasl?,ssl?]
+ sasl? ( >=dev-libs/cyrus-sasl-2.1 )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+distutils_enable_sphinx Doc
+
+python_prepare_all() {
+ if ! use sasl; then
+ sed -i 's/HAVE_SASL//g' setup.cfg || die
+ fi
+ if ! use ssl; then
+ sed -i 's/HAVE_TLS//g' setup.cfg || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Run all tests which don't require slapd
+ local EPYTEST_IGNORE=(
+ t_bind.py
+ t_cext.py
+ t_edit.py
+ t_ldapobject.py
+ t_ldap_options.py
+ t_ldap_sasl.py
+ t_ldap_schema_subentry.py
+ t_ldap_syncrepl.py
+ t_slapdobject.py
+ )
+ pushd Tests >/dev/null || die
+ epytest
+ popd > /dev/null || die
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r Demo/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}